python-cogent (2020.6.30a0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Balint Reczey ]
  * New upstream version 2020.6.30a0+dfsg

  [ Andreas Tille ]
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)

  [ Michael R. Crusoe ]
  * Only build for Python3.8 as numba does not yet support Python 3.9.
    See https://bugs.debian.org/972246
  * Standards-Version: 4.5.1 (routine-update)
  * Mark Debian-specific patches as not needing forwarding.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 30 Nov 2020 10:39:30 +0100

python-cogent (2020.2.7a+dfsg-2) unstable; urgency=medium

  * More tolerant tests on i386 and armel (patches provided by upstream)
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 25 Feb 2020 16:51:08 +0100

python-cogent (2020.2.7a+dfsg-1) unstable; urgency=medium

  * Solve one issue in test suite i386 / armel (other issue seems to be
    caused by numpy)
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Wrap long lines in changelog entries: 1.4.1-1.1.

 -- Andreas Tille <tille@debian.org>  Mon, 17 Feb 2020 20:00:55 +0100

python-cogent (2019.12.6a+dfsg-1) unstable; urgency=medium

  * New upstream version supporting Python3
    Closes: #937654, #935298
  * Point watch file to cogent3
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * (Build-)Depends: s/blast2/ncbi-blast+-legacy/
    Closes: #948080
  * Remove trailing whitespace in debian/changelog
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entry 1.5.3-1.
  * Remove minimized JS from former sphinx run
  * Binary package is now python3-cogent3 which
    Breaks/Provides/Replaces: python-cogent
  * (Build-)Depends: python3-scitrack, python3-tinydb

 -- Andreas Tille <tille@debian.org>  Tue, 14 Jan 2020 09:02:56 +0100

python-cogent (1.9-14) unstable; urgency=medium

  * Enable building with sphinx1.8
    Closes: #918829
  * Drop Thorsten Alteholz <debian@alteholz.de> since no commits since
    more than five years - thanks for your previous work Thorsten
  * Standards-Version: 4.3.0
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Andreas Tille <tille@debian.org>  Thu, 10 Jan 2019 15:21:15 +0100

python-cogent (1.9-13) unstable; urgency=medium

  * Ignore test with matplotlib 2.2.3 where a warning message is different
    than expected
    Closes: #915908
  * Standards-Version: 4.2.1
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/rules
  * Build-Depends: s/python-sphinx/python3-sphinx/

 -- Andreas Tille <tille@debian.org>  Mon, 17 Dec 2018 09:26:27 +0100

python-cogent (1.9-12) unstable; urgency=medium

  * Add registry data
  * Testsuite: autopkgtest-pkg-python
  * honor "nocheck" in DEB_BUILD_OPTIONS
    Closes: #898334
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Fix suite fails with latest matplotlib
    Closes: #899205
  * Fix privacy issue in doc
  * Drop obsolete file debian/pyversions
  * Drop unneeded get-orig-source target
  * Do not parse d/changelog
  * Rename debian/tests/control to debian/tests/control.autodep8
  * Remove useless doctree files

 -- Andreas Tille <tille@debian.org>  Wed, 06 Jun 2018 11:10:01 +0200

python-cogent (1.9-11) unstable; urgency=medium

  * Exclude test_format.test_pdb_color.PdbColorTests for s390x
    Closes: #864894

 -- Andreas Tille <tille@debian.org>  Fri, 16 Jun 2017 23:50:35 +0200

python-cogent (1.9-10) unstable; urgency=medium

  * Team upload.

  [ Nadiya Sitdykova ]
  * Add autopkgtest test-suite (without tests known to fail)

  [ Andreas Tille ]
  * Move packaging from SVN to Git
  * Fix test checking path to ls

 -- Naidya Sitdykova <rovenskasa@gmail.com>  Thu, 15 Jun 2017 23:26:56 -0400

python-cogent (1.9-9) unstable; urgency=medium

  * Skip test with incompatibilities to Numpy 1.12.0~b1
    Closes: #848746

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2016 09:39:12 +0100

python-cogent (1.9-8) unstable; urgency=medium

  * Skip another test to enable build on mips

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2016 08:26:08 +0100

python-cogent (1.9-7) unstable; urgency=medium

  * Skip more tests to enable build on mips & mips64el
  * Skip tests that are not working any more since ncbi-tools6 >=6.1.20160908-1
    Closes: #847082

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2016 11:32:17 +0100

python-cogent (1.9-6) unstable; urgency=medium

  * Skip some tests that do not create reproducible results at package
    build time
    Closes: #846078

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2016 07:46:45 +0100

python-cogent (1.9-5) unstable; urgency=medium

  * Update d/README.Debian with todo list
  * debhelper 10
  * d/watch: version=4
  * add verbosity to unit tests to enable tracking down #846078

 -- Andreas Tille <tille@debian.org>  Tue, 29 Nov 2016 09:03:40 +0100

python-cogent (1.9-4) unstable; urgency=medium

  * Need to exclude further tests on armhf and mips

 -- Andreas Tille <tille@debian.org>  Thu, 15 Sep 2016 10:45:44 +0200

python-cogent (1.9-3) unstable; urgency=medium

  * (Build-)Depends python-matplotlib
  * Some more tests for certain architectures excluded

 -- Andreas Tille <tille@debian.org>  Thu, 15 Sep 2016 08:07:35 +0200

python-cogent (1.9-2) unstable; urgency=medium

  * Properly test fasttree
  * Exclude some tests on some architectures
  * Try to support rdp_classifier (but failed - no idea why)

 -- Andreas Tille <tille@debian.org>  Wed, 14 Sep 2016 21:49:34 +0200

python-cogent (1.9-1) unstable; urgency=medium

  * New upstream version
  * Fix watch file
  * Fix homepage
  * cme fix dpkg-control
  * Build-Depends: python-setuptools
  * revert cd-hit name change in Debian
    Closes: #835213
  * hardening=+bindnow
  * Build-Depends: cdbfasta

 -- Andreas Tille <tille@debian.org>  Wed, 14 Sep 2016 17:06:59 +0200

python-cogent (1.5.3-10) unstable; urgency=medium

  * mothur does not exist on s390x
  * exclude test failed on i386 also on kfreebsd-i386

 -- Andreas Tille <tille@debian.org>  Wed, 30 Dec 2015 17:43:34 +0100

python-cogent (1.5.3-9) unstable; urgency=medium

  * Different autobuilder seems to fail on different tests - exclude another
    two tests on i386

 -- Andreas Tille <tille@debian.org>  Sat, 26 Dec 2015 07:41:10 +0100

python-cogent (1.5.3-8) unstable; urgency=medium

  * Ignore some more test issues only on ppc64

 -- Andreas Tille <tille@debian.org>  Fri, 25 Dec 2015 13:04:33 +0100

python-cogent (1.5.3-7) unstable; urgency=medium

  * Ignore a few test failures on certain architectures to at least
    document the problem debian/README.source was created

 -- Andreas Tille <tille@debian.org>  Thu, 24 Dec 2015 07:27:11 +0100

python-cogent (1.5.3-6) unstable; urgency=medium

  * Also deal with raxml that only exists on [any-amd64 any-i386]

 -- Andreas Tille <tille@debian.org>  Wed, 23 Dec 2015 20:56:16 +0100

python-cogent (1.5.3-5) unstable; urgency=medium

  * Also deal with infernal that only exists on [any-amd64 any-i386]

 -- Andreas Tille <tille@debian.org>  Wed, 23 Dec 2015 18:16:12 +0100

python-cogent (1.5.3-4) unstable; urgency=medium

  * Build-Depends: bwa [any-amd64] and exclude bwa tests for other
    architectures
    Closes: #808799
  * Really activate tests but only those that are known to pass.  All
    failed tests excluded for the moment - more detailed investigation
    is needed
  * Drop debug package in favour of automatically generated one
  * Add hint about tests to README.Debian.

 -- Andreas Tille <tille@debian.org>  Wed, 23 Dec 2015 15:23:04 +0100

python-cogent (1.5.3-3) unstable; urgency=medium

  * cme fix dpkg-control
  * Priority: optional (except for *-dbg)
  * DEP5
  * debian/watch: Adapted to Github
  * DEP3
  * README.source removed since redundant
  * cme fix dpkg-control
  * Adapt to the naming scheme of cd-hit inside Debian
    Closes: #730515
  * Switch from python-support to pybuild
    Closes: #786073

 -- Andreas Tille <tille@debian.org>  Thu, 21 May 2015 09:29:22 +0200

python-cogent (1.5.3-2biolinux1) trusty; urgency=low

  * Allow use of newer cd-hit that doesn't leave a tmp file
    Note - the tests still fail as output is different, but
    this is a quick fix.
  * Also make the script compatible with our parsinsert package
  * Add suggests dep on both of these
  * Rebuild for Trusty

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 25 Apr 2014 17:27:42 +0100

python-cogent (1.5.3-2) unstable; urgency=low

  * debian/rules: Add -f option to rm statements to not fail if
    files to be remove do not exist
    Closes: #710339

 -- Andreas Tille <tille@debian.org>  Thu, 30 May 2013 13:02:05 +0200

python-cogent (1.5.3-1) unstable; urgency=low

  * New upstream
  * debian/control: use dh 9
  * debian/control: set standard to 3.9.4 (no changes)
  * debian/rules: add get-orig-source target
  * debian/rules: remove some superfluous files

  [ Tim Booth ]
  * Added back python2 helper and invoked dh_numpy to sort deps
  * Split out docs into separate package
  * Added extra cleanup to dh_clean

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 16 May 2013 18:00:00 +0200

python-cogent (1.5.1-3) UNRELEASED; urgency=low

  * debian/upstream: Added citations

 -- Andreas Tille <tille@debian.org>  Mon, 07 May 2012 15:39:14 +0200

python-cogent (1.5.1-2) unstable; urgency=low

  * Explicitly added python-numpy as dependency
    to binary ... where is the dh_shlibdeps?
    Many thanks to Jakub (Closes: #640262).
  * Added build-dependency on cython after look in setup.py
  * Some further formatting in debian/control
  * Added -dbg package
  * Fiddled with debian/*.install to actually install the libraries
    and fill that -dbg package.
  * Added dependency to underscore.js

 -- Steffen Moeller <moeller@debian.org>  Sun, 04 Sep 2011 10:49:49 +0200

python-cogent (1.5.1-1) unstable; urgency=low

  * New upstream version.
  * Reformatted debian/control description

 -- Steffen Moeller <moeller@debian.org>  Sun, 21 Aug 2011 21:14:08 +0200

python-cogent (1.5-3) unstable; urgency=low

  * debian/control:
    - Remove Sri Girish Srinivasa Murthy from Uploaders
    - Standards-Version: 3.9.2 (no changes needed)
    - python-all-dev (>= 2.6) to be able to use dh_python2
  * debhelper 8 (control+compat)
  * debian/rules: dh_python2
    Finally closes: #596540

 -- Andreas Tille <tille@debian.org>  Wed, 27 Apr 2011 09:16:52 +0200

python-cogent (1.5-2) unstable; urgency=low

  * debian/copyright: Clarified license of two single non-free files
    -> package can go to main
  * debian/control:
    - Added myself to uploaders
    - python-central -> python-support
    - Build-Depends: python-sphinx to create doc in HTML format
    - Depends: libjs-jquery to enable using Debian packaged version
      of this JS library
  * debian/rules:
    - Short dh syntax to simplyfy the following tasks
    - Build html doc from rst
    - avoid compressing used files
  * Removed README.Debian because the non-free issue is solved
  * debian/links: Link against Debian's jquery.js

 -- Andreas Tille <tille@debian.org>  Tue, 01 Mar 2011 11:30:18 +0100

python-cogent (1.5-1) unstable; urgency=low

  * Bumped standard to 3.9.1, no changes required.
  * New upstream version.
    - major additions to Cookbook
    - added AlleleFreqs attribute to ensembl Variation objects.
    - added getGeneByStableId method to genome objects.
    - added Introns attribute to Transcript objects and an Intron class.
    - added Mann-Whitney test and a Monte-Carlo version
    - exploratory and confirmatory period estimation techniques (suitable for
      symbolic and continuous data)
    - Information theoretic measures (AIC and BIC) added
    - drawing of trees with collapsed nodes
    - progress display indicator support for terminal and GUI apps
    - added parser for illumina HiSeq2000 and GAiix sequence files as
      cogent.parse.illumina_sequence.MinimalIlluminaSequenceParser.
    - added parser to FASTQ files, one of the output options for illumina's
      workflow, also added cookbook demo.
    - added functionality for parsing of SFF files without the Roche tools in
      cogent.parse.binary_sff
    - thousand fold performance improvement to nmds
    - >10-fold performance improvements to some Table operations

 -- Steffen Moeller <moeller@debian.org>  Sat, 04 Dec 2010 22:30:35 +0100

python-cogent (1.4.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Mark package as auto-buildable

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 13 Oct 2010 20:56:27 +0200

python-cogent (1.4.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on python2.5-dev with python-all-dev.
    Closes: #596325.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Sep 2010 15:18:44 +0200

python-cogent (1.4.1-1) unstable; urgency=low

  * Initial release (Closes: #587161)

 -- Sri Girish Srinivasa Murthy <srigirish@evolbio.mpg.de>  Sat, 24 Jul 2010 00:53:31 +0200
